<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>:in-range, :out-of-range</title>
	<style>
		/*
			Эти псевдоклассы используются для стилизации полей ввода, поддерживающих атрибуты min и max:
			:in-range для полей, в которых введённое значение попадает в диапазон от min до max;
			:out-of-range для полей, в которых введённое значение не попадает в диапазон от min до max.
		*/
		.with-range {
			width: 250px;
			height: 36px;
			border: 1px solid black;
		}

		.with-range:in-range {
			border-color: green;
			background-color: rgb(0 255 0 / 20%);
		}

		.with-range:out-of-range {
			border-color: red;
			background-color: rgb(255 0 0 / 20%);
		}
	</style>
</head>
<body>
<p><strong>Эти псевдоклассы используются для стилизации полей ввода</strong></p>
<p>
	<input class="with-range" type="number" min="10" max="20" step="1">
<p>
	<input type="submit" value="Отправить">
</p>
</body>
</html>

